Gecode::FlatZinc::AST::SetLit Class Reference

Set literal node More...

`#include <ast.hh>`

## Public Member Functions

| SetLit (void)
| SetLit (int min0, int max0)
| SetLit (const std::vector< int > &s0)
| SetLit (SetLit *s0)
bool | empty (void) const
virtual void | print (std::ostream &os)
| Output string representation.
Public Member Functions inherited from Gecode::FlatZinc::AST::Node
virtual | ~Node (void)
| Destructor.
void | append (Node *n)
| Append n to an array node.
bool | hasAtom (const std::string &id)
| Test if node has atom with id.
bool | isInt (int &i)
| Test if node is int, if yes set i to the value.
bool | isFloat (double &i)
| Test if node is float, if yes set d to the value.
bool | isCall (const std::string &id)
| Test if node is function call with id.
Call * | getCall (void)
| Return function call.
bool | hasCall (const std::string &id)
| Test if node is function call or array containing function call id.
Call * | getCall (const std::string &id)
| Return function call id.
Array * | getArray (void)
| Cast this node to an array node.
Atom * | getAtom (void)
| Cast this node to an Atom node.
std::string | getVarName (void)
| Return name of variable represented by this node.
int | getIntVar (void)
| Cast this node to an integer variable node.
int | getBoolVar (void)
| Cast this node to a Boolean variable node.
int | getFloatVar (void)
| Cast this node to a Float variable node.
int | getSetVar (void)
| Cast this node to a set variable node.
int | getInt (void)
| Cast this node to an integer node.
bool | getBool (void)
| Cast this node to a Boolean node.
double | getFloat (void)
| Cast this node to a Float node.
SetLit * | getSet (void)
| Cast this node to a set literal node.
std::string | getString (void)
| Cast this node to a string node.
bool | isIntVar (void)
| Test if node is an integer variable node.
bool | isBoolVar (void)
| Test if node is a Boolean variable node.
bool | isSetVar (void)
| Test if node is a set variable node.
bool | isFloatVar (void)
| Test if node is a float variable node.
bool | isInt (void)
| Test if node is an integer node.
bool | isFloat (void)
| Test if node is a float node.
bool | isBool (void)
| Test if node is a Boolean node.
bool | isString (void)
| Test if node is a string node.
bool | isArray (void)
| Test if node is an array node.
bool | isSet (void)
| Test if node is a set literal node.
bool | isAtom (void)
| Test if node is an atom node.

## Public Attributes

bool | interval
int | min
int | max
std::vector< int > | s

## Detailed Description

Set literal node

Definition at line 171 of file ast.hh.

## Constructor & Destructor Documentation

## SetLit() [1/4]

Gecode::FlatZinc::AST::SetLit::SetLit | ( | void |  | ) |

inline

Definition at line 176 of file ast.hh.

## SetLit() [2/4]

Gecode::FlatZinc::AST::SetLit::SetLit | ( | int | min0,
|  | int | max0 )

inline

Definition at line 177 of file ast.hh.

## SetLit() [3/4]

Gecode::FlatZinc::AST::SetLit::SetLit | ( | const std::vector< int > & | s0 | ) |

inline

Definition at line 178 of file ast.hh.

## SetLit() [4/4]

Gecode::FlatZinc::AST::SetLit::SetLit | ( | SetLit * | s0 | ) |

inline explicit

Definition at line 179 of file ast.hh.

## Member Function Documentation

## empty()

bool Gecode::FlatZinc::AST::SetLit::empty | ( | void |  | ) | const

inline

Definition at line 180 of file ast.hh.

## print()

virtual void Gecode::FlatZinc::AST::SetLit::print | ( | std::ostream & |  | ) |

inline virtual

Output string representation.

Implements Gecode::FlatZinc::AST::Node.

Definition at line 183 of file ast.hh.

## Member Data Documentation

## interval

bool Gecode::FlatZinc::AST::SetLit::interval

Definition at line 173 of file ast.hh.

## min

int Gecode::FlatZinc::AST::SetLit::min

Definition at line 174 of file ast.hh.

## max

int Gecode::FlatZinc::AST::SetLit::max

Definition at line 174 of file ast.hh.

## s

std::vector<int> Gecode::FlatZinc::AST::SetLit::s

Definition at line 175 of file ast.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/ast.hh